Develop and Download Open Source Software

Browse Subversion Repository

Diff of /trunk/bfd/configure

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

revision 20 by monabuilder, Sun Dec 28 03:31:28 2008 UTC revision 21 by monamour, Mon Jul 27 20:34:36 2009 UTC
# Line 458  ac_includes_default="\ Line 458  ac_includes_default="\
458  # include <unistd.h>  # include <unistd.h>
459  #endif"  #endif"
460    
461  ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE AR ac_ct_AR RANLIB ac_ct_RANLIB CPP EGREP LIBTOOL SED FGREP GREP LD DUMPBIN ac_ct_DUMPBIN NM LN_S OBJDUMP ac_ct_OBJDUMP lt_ECHO DSYMUTIL ac_ct_DSYMUTIL NMEDIT ac_ct_NMEDIT LIPO ac_ct_LIPO OTOOL ac_ct_OTOOL OTOOL64 ac_ct_OTOOL64 DEBUGDIR PKGVERSION REPORT_BUGS_TO REPORT_BUGS_TEXI WARN_CFLAGS NO_WERROR MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT GENINSRC_NEVER_TRUE GENINSRC_NEVER_FALSE INSTALL_LIBBFD_TRUE INSTALL_LIBBFD_FALSE host_noncanonical target_noncanonical bfdlibdir bfdincludedir USE_NLS LIBINTL LIBINTL_DEP INCINTL XGETTEXT GMSGFMT POSUB CATALOGS DATADIRNAME INSTOBJEXT GENCAT CATOBJEXT MKINSTALLDIRS MSGFMT MSGMERGE HDEFINES BFD_HOST_64BIT_LONG BFD_HOST_64BIT_LONG_LONG BFD_HOST_64_BIT_DEFINED BFD_HOST_64_BIT BFD_HOST_U_64_BIT BFD_HOSTPTR_T CC_FOR_BUILD EXEEXT_FOR_BUILD COREFILE COREFLAG WIN32LDFLAGS WIN32LIBADD TDEFINES wordsize bfd64_libs all_backends bfd_backends bfd_machines bfd_default_target_size bfd_file_ptr bfd_ufile_ptr tdefaults datarootdir docdir htmldir LIBOBJS LTLIBOBJS'  ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE AR ac_ct_AR RANLIB ac_ct_RANLIB CPP EGREP LIBTOOL SED FGREP GREP LD DUMPBIN ac_ct_DUMPBIN NM LN_S OBJDUMP ac_ct_OBJDUMP lt_ECHO DSYMUTIL ac_ct_DSYMUTIL NMEDIT ac_ct_NMEDIT LIPO ac_ct_LIPO OTOOL ac_ct_OTOOL OTOOL64 ac_ct_OTOOL64 PLUGINS_TRUE PLUGINS_FALSE DEBUGDIR PKGVERSION REPORT_BUGS_TO REPORT_BUGS_TEXI WARN_CFLAGS NO_WERROR MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT GENINSRC_NEVER_TRUE GENINSRC_NEVER_FALSE INSTALL_LIBBFD_TRUE INSTALL_LIBBFD_FALSE host_noncanonical target_noncanonical bfdlibdir bfdincludedir USE_NLS LIBINTL LIBINTL_DEP INCINTL XGETTEXT GMSGFMT POSUB CATALOGS DATADIRNAME INSTOBJEXT GENCAT CATOBJEXT MKINSTALLDIRS MSGFMT MSGMERGE HDEFINES BFD_HOST_64BIT_LONG BFD_HOST_64BIT_LONG_LONG BFD_HOST_64_BIT_DEFINED BFD_HOST_64_BIT BFD_HOST_U_64_BIT BFD_HOSTPTR_T CC_FOR_BUILD EXEEXT_FOR_BUILD COREFILE COREFLAG LIBM SHARED_LDFLAGS SHARED_LIBADD TDEFINES wordsize bfd64_libs all_backends bfd_backends bfd_machines bfd_default_target_size supports_plugins bfd_file_ptr bfd_ufile_ptr tdefaults datarootdir docdir htmldir pdfdir LIBOBJS LTLIBOBJS'
462  ac_subst_files=''  ac_subst_files=''
463  ac_pwd=`pwd`  ac_pwd=`pwd`
464    
# Line 1004  Optional Features: Line 1004  Optional Features:
1004    --enable-dependency-tracking   do not reject slow dependency extractors    --enable-dependency-tracking   do not reject slow dependency extractors
1005    --enable-shared[=PKGS]    --enable-shared[=PKGS]
1006                            build shared libraries [default=no]                            build shared libraries [default=no]
   --disable-largefile     omit support for large files  
1007    --enable-static[=PKGS]    --enable-static[=PKGS]
1008                            build static libraries [default=yes]                            build static libraries [default=yes]
1009    --enable-fast-install[=PKGS]    --enable-fast-install[=PKGS]
1010                            optimize for fast installation [default=yes]                            optimize for fast installation [default=yes]
1011    --disable-libtool-lock  avoid locking (might break parallel builds)    --disable-libtool-lock  avoid locking (might break parallel builds)
1012      --enable-plugins        Enable support for plugins (defaults no)
1013      --disable-largefile     omit support for large files
1014    --enable-64-bit-bfd     64-bit support (on hosts with narrower word sizes)    --enable-64-bit-bfd     64-bit support (on hosts with narrower word sizes)
1015    --enable-targets        alternative target configurations    --enable-targets        alternative target configurations
   --enable-commonbfdlib   build shared BFD/opcodes/libiberty library  
1016    --enable-secureplt      Default to creating read-only plt entries    --enable-secureplt      Default to creating read-only plt entries
1017    --enable-elf-stt-common Allow the generation of ELF symbols with the STT_COMMON type    --enable-elf-stt-common Allow the generation of ELF symbols with the STT_COMMON type
1018    --enable-werror         treat compile warnings as errors    --enable-werror         treat compile warnings as errors
# Line 4935  _ACEOF Line 4935  _ACEOF
4935    
4936    
4937    
 case "${target}" in  
   sparc-*-solaris*|i[3-7]86-*-solaris*)  
     # On native 32bit sparc and ia32 solaris, large-file and procfs support  
     # are mutually exclusive; and without procfs support, the elf module  
     # cannot provide certain routines such as elfcore_write_prpsinfo  
     # or elfcore_write_prstatus.  So unless the user explicitly requested  
     # large-file support through the --enable-largefile switch, disable  
     # large-file support in favor of procfs support.  
     if test "${target}" = "${host}" -a "$enable_largefile" != 'yes'; then  
       enable_largefile="no"  
     fi  
     ;;  
 esac  
   
 # Check whether --enable-largefile or --disable-largefile was given.  
 if test "${enable_largefile+set}" = set; then  
   enableval="$enable_largefile"  
   
 fi;  
 if test "$enable_largefile" != no; then  
   
   echo "$as_me:$LINENO: checking for special C compiler options needed for large files" >&5  
 echo $ECHO_N "checking for special C compiler options needed for large files... $ECHO_C" >&6  
 if test "${ac_cv_sys_largefile_CC+set}" = set; then  
   echo $ECHO_N "(cached) $ECHO_C" >&6  
 else  
   ac_cv_sys_largefile_CC=no  
      if test "$GCC" != yes; then  
        ac_save_CC=$CC  
        while :; do  
          # IRIX 6.2 and later do not support large files by default,  
          # so use the C compiler's -n32 option if that helps.  
          cat >conftest.$ac_ext <<_ACEOF  
 /* confdefs.h.  */  
 _ACEOF  
 cat confdefs.h >>conftest.$ac_ext  
 cat >>conftest.$ac_ext <<_ACEOF  
 /* end confdefs.h.  */  
 #include <sys/types.h>  
  /* Check that off_t can represent 2**63 - 1 correctly.  
     We can't simply define LARGE_OFF_T to be 9223372036854775807,  
     since some C++ compilers masquerading as C compilers  
     incorrectly reject 9223372036854775807.  */  
 #define LARGE_OFF_T (((off_t) 1 << 62) - 1 + ((off_t) 1 << 62))  
   int off_t_is_large[(LARGE_OFF_T % 2147483629 == 721  
                        && LARGE_OFF_T % 2147483647 == 1)  
                       ? 1 : -1];  
 int  
 main ()  
 {  
   
   ;  
   return 0;  
 }  
 _ACEOF  
          rm -f conftest.$ac_objext  
 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5  
   (eval $ac_compile) 2>conftest.er1  
   ac_status=$?  
   grep -v '^ *+' conftest.er1 >conftest.err  
   rm -f conftest.er1  
   cat conftest.err >&5  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); } &&  
          { ac_try='test -z "$ac_c_werror_flag"  
                          || test ! -s conftest.err'  
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5  
   (eval $ac_try) 2>&5  
   ac_status=$?  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); }; } &&  
          { ac_try='test -s conftest.$ac_objext'  
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5  
   (eval $ac_try) 2>&5  
   ac_status=$?  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); }; }; then  
   break  
 else  
   echo "$as_me: failed program was:" >&5  
 sed 's/^/| /' conftest.$ac_ext >&5  
   
 fi  
 rm -f conftest.err conftest.$ac_objext  
          CC="$CC -n32"  
          rm -f conftest.$ac_objext  
 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5  
   (eval $ac_compile) 2>conftest.er1  
   ac_status=$?  
   grep -v '^ *+' conftest.er1 >conftest.err  
   rm -f conftest.er1  
   cat conftest.err >&5  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); } &&  
          { ac_try='test -z "$ac_c_werror_flag"  
                          || test ! -s conftest.err'  
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5  
   (eval $ac_try) 2>&5  
   ac_status=$?  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); }; } &&  
          { ac_try='test -s conftest.$ac_objext'  
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5  
   (eval $ac_try) 2>&5  
   ac_status=$?  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); }; }; then  
   ac_cv_sys_largefile_CC=' -n32'; break  
 else  
   echo "$as_me: failed program was:" >&5  
 sed 's/^/| /' conftest.$ac_ext >&5  
   
 fi  
 rm -f conftest.err conftest.$ac_objext  
          break  
        done  
        CC=$ac_save_CC  
        rm -f conftest.$ac_ext  
     fi  
 fi  
 echo "$as_me:$LINENO: result: $ac_cv_sys_largefile_CC" >&5  
 echo "${ECHO_T}$ac_cv_sys_largefile_CC" >&6  
   if test "$ac_cv_sys_largefile_CC" != no; then  
     CC=$CC$ac_cv_sys_largefile_CC  
   fi  
   
   echo "$as_me:$LINENO: checking for _FILE_OFFSET_BITS value needed for large files" >&5  
 echo $ECHO_N "checking for _FILE_OFFSET_BITS value needed for large files... $ECHO_C" >&6  
 if test "${ac_cv_sys_file_offset_bits+set}" = set; then  
   echo $ECHO_N "(cached) $ECHO_C" >&6  
 else  
   while :; do  
   ac_cv_sys_file_offset_bits=no  
   cat >conftest.$ac_ext <<_ACEOF  
 /* confdefs.h.  */  
 _ACEOF  
 cat confdefs.h >>conftest.$ac_ext  
 cat >>conftest.$ac_ext <<_ACEOF  
 /* end confdefs.h.  */  
 #include <sys/types.h>  
  /* Check that off_t can represent 2**63 - 1 correctly.  
     We can't simply define LARGE_OFF_T to be 9223372036854775807,  
     since some C++ compilers masquerading as C compilers  
     incorrectly reject 9223372036854775807.  */  
 #define LARGE_OFF_T (((off_t) 1 << 62) - 1 + ((off_t) 1 << 62))  
   int off_t_is_large[(LARGE_OFF_T % 2147483629 == 721  
                        && LARGE_OFF_T % 2147483647 == 1)  
                       ? 1 : -1];  
 int  
 main ()  
 {  
   
   ;  
   return 0;  
 }  
 _ACEOF  
 rm -f conftest.$ac_objext  
 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5  
   (eval $ac_compile) 2>conftest.er1  
   ac_status=$?  
   grep -v '^ *+' conftest.er1 >conftest.err  
   rm -f conftest.er1  
   cat conftest.err >&5  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); } &&  
          { ac_try='test -z "$ac_c_werror_flag"  
                          || test ! -s conftest.err'  
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5  
   (eval $ac_try) 2>&5  
   ac_status=$?  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); }; } &&  
          { ac_try='test -s conftest.$ac_objext'  
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5  
   (eval $ac_try) 2>&5  
   ac_status=$?  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); }; }; then  
   break  
 else  
   echo "$as_me: failed program was:" >&5  
 sed 's/^/| /' conftest.$ac_ext >&5  
   
 fi  
 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext  
   cat >conftest.$ac_ext <<_ACEOF  
 /* confdefs.h.  */  
 _ACEOF  
 cat confdefs.h >>conftest.$ac_ext  
 cat >>conftest.$ac_ext <<_ACEOF  
 /* end confdefs.h.  */  
 #define _FILE_OFFSET_BITS 64  
 #include <sys/types.h>  
  /* Check that off_t can represent 2**63 - 1 correctly.  
     We can't simply define LARGE_OFF_T to be 9223372036854775807,  
     since some C++ compilers masquerading as C compilers  
     incorrectly reject 9223372036854775807.  */  
 #define LARGE_OFF_T (((off_t) 1 << 62) - 1 + ((off_t) 1 << 62))  
   int off_t_is_large[(LARGE_OFF_T % 2147483629 == 721  
                        && LARGE_OFF_T % 2147483647 == 1)  
                       ? 1 : -1];  
 int  
 main ()  
 {  
   
   ;  
   return 0;  
 }  
 _ACEOF  
 rm -f conftest.$ac_objext  
 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5  
   (eval $ac_compile) 2>conftest.er1  
   ac_status=$?  
   grep -v '^ *+' conftest.er1 >conftest.err  
   rm -f conftest.er1  
   cat conftest.err >&5  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); } &&  
          { ac_try='test -z "$ac_c_werror_flag"  
                          || test ! -s conftest.err'  
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5  
   (eval $ac_try) 2>&5  
   ac_status=$?  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); }; } &&  
          { ac_try='test -s conftest.$ac_objext'  
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5  
   (eval $ac_try) 2>&5  
   ac_status=$?  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); }; }; then  
   ac_cv_sys_file_offset_bits=64; break  
 else  
   echo "$as_me: failed program was:" >&5  
 sed 's/^/| /' conftest.$ac_ext >&5  
   
 fi  
 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext  
   break  
 done  
 fi  
 echo "$as_me:$LINENO: result: $ac_cv_sys_file_offset_bits" >&5  
 echo "${ECHO_T}$ac_cv_sys_file_offset_bits" >&6  
 if test "$ac_cv_sys_file_offset_bits" != no; then  
   
 cat >>confdefs.h <<_ACEOF  
 #define _FILE_OFFSET_BITS $ac_cv_sys_file_offset_bits  
 _ACEOF  
   
 fi  
 rm -f conftest*  
   echo "$as_me:$LINENO: checking for _LARGE_FILES value needed for large files" >&5  
 echo $ECHO_N "checking for _LARGE_FILES value needed for large files... $ECHO_C" >&6  
 if test "${ac_cv_sys_large_files+set}" = set; then  
   echo $ECHO_N "(cached) $ECHO_C" >&6  
 else  
   while :; do  
   ac_cv_sys_large_files=no  
   cat >conftest.$ac_ext <<_ACEOF  
 /* confdefs.h.  */  
 _ACEOF  
 cat confdefs.h >>conftest.$ac_ext  
 cat >>conftest.$ac_ext <<_ACEOF  
 /* end confdefs.h.  */  
 #include <sys/types.h>  
  /* Check that off_t can represent 2**63 - 1 correctly.  
     We can't simply define LARGE_OFF_T to be 9223372036854775807,  
     since some C++ compilers masquerading as C compilers  
     incorrectly reject 9223372036854775807.  */  
 #define LARGE_OFF_T (((off_t) 1 << 62) - 1 + ((off_t) 1 << 62))  
   int off_t_is_large[(LARGE_OFF_T % 2147483629 == 721  
                        && LARGE_OFF_T % 2147483647 == 1)  
                       ? 1 : -1];  
 int  
 main ()  
 {  
   
   ;  
   return 0;  
 }  
 _ACEOF  
 rm -f conftest.$ac_objext  
 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5  
   (eval $ac_compile) 2>conftest.er1  
   ac_status=$?  
   grep -v '^ *+' conftest.er1 >conftest.err  
   rm -f conftest.er1  
   cat conftest.err >&5  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); } &&  
          { ac_try='test -z "$ac_c_werror_flag"  
                          || test ! -s conftest.err'  
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5  
   (eval $ac_try) 2>&5  
   ac_status=$?  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); }; } &&  
          { ac_try='test -s conftest.$ac_objext'  
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5  
   (eval $ac_try) 2>&5  
   ac_status=$?  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); }; }; then  
   break  
 else  
   echo "$as_me: failed program was:" >&5  
 sed 's/^/| /' conftest.$ac_ext >&5  
   
 fi  
 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext  
   cat >conftest.$ac_ext <<_ACEOF  
 /* confdefs.h.  */  
 _ACEOF  
 cat confdefs.h >>conftest.$ac_ext  
 cat >>conftest.$ac_ext <<_ACEOF  
 /* end confdefs.h.  */  
 #define _LARGE_FILES 1  
 #include <sys/types.h>  
  /* Check that off_t can represent 2**63 - 1 correctly.  
     We can't simply define LARGE_OFF_T to be 9223372036854775807,  
     since some C++ compilers masquerading as C compilers  
     incorrectly reject 9223372036854775807.  */  
 #define LARGE_OFF_T (((off_t) 1 << 62) - 1 + ((off_t) 1 << 62))  
   int off_t_is_large[(LARGE_OFF_T % 2147483629 == 721  
                        && LARGE_OFF_T % 2147483647 == 1)  
                       ? 1 : -1];  
 int  
 main ()  
 {  
   
   ;  
   return 0;  
 }  
 _ACEOF  
 rm -f conftest.$ac_objext  
 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5  
   (eval $ac_compile) 2>conftest.er1  
   ac_status=$?  
   grep -v '^ *+' conftest.er1 >conftest.err  
   rm -f conftest.er1  
   cat conftest.err >&5  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); } &&  
          { ac_try='test -z "$ac_c_werror_flag"  
                          || test ! -s conftest.err'  
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5  
   (eval $ac_try) 2>&5  
   ac_status=$?  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); }; } &&  
          { ac_try='test -s conftest.$ac_objext'  
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5  
   (eval $ac_try) 2>&5  
   ac_status=$?  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); }; }; then  
   ac_cv_sys_large_files=1; break  
 else  
   echo "$as_me: failed program was:" >&5  
 sed 's/^/| /' conftest.$ac_ext >&5  
   
 fi  
 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext  
   break  
 done  
 fi  
 echo "$as_me:$LINENO: result: $ac_cv_sys_large_files" >&5  
 echo "${ECHO_T}$ac_cv_sys_large_files" >&6  
 if test "$ac_cv_sys_large_files" != no; then  
   
 cat >>confdefs.h <<_ACEOF  
 #define _LARGE_FILES $ac_cv_sys_large_files  
 _ACEOF  
   
 fi  
 rm -f conftest*  
 fi  
   
   
4938  case `pwd` in  case `pwd` in
4939    *\ * | *\     *)    *\ * | *\     *)
4940      { echo "$as_me:$LINENO: WARNING: Libtool does not cope well with whitespace in \`pwd\`" >&5      { echo "$as_me:$LINENO: WARNING: Libtool does not cope well with whitespace in \`pwd\`" >&5
# Line 5720  if test "${lt_cv_nm_interface+set}" = se Line 5341  if test "${lt_cv_nm_interface+set}" = se
5341  else  else
5342    lt_cv_nm_interface="BSD nm"    lt_cv_nm_interface="BSD nm"
5343    echo "int some_variable = 0;" > conftest.$ac_ext    echo "int some_variable = 0;" > conftest.$ac_ext
5344    (eval echo "\"\$as_me:5723: $ac_compile\"" >&5)    (eval echo "\"\$as_me:5344: $ac_compile\"" >&5)
5345    (eval "$ac_compile" 2>conftest.err)    (eval "$ac_compile" 2>conftest.err)
5346    cat conftest.err >&5    cat conftest.err >&5
5347    (eval echo "\"\$as_me:5726: $NM \\\"conftest.$ac_objext\\\"\"" >&5)    (eval echo "\"\$as_me:5347: $NM \\\"conftest.$ac_objext\\\"\"" >&5)
5348    (eval "$NM \"conftest.$ac_objext\"" 2>conftest.err > conftest.out)    (eval "$NM \"conftest.$ac_objext\"" 2>conftest.err > conftest.out)
5349    cat conftest.err >&5    cat conftest.err >&5
5350    (eval echo "\"\$as_me:5729: output\"" >&5)    (eval echo "\"\$as_me:5350: output\"" >&5)
5351    cat conftest.out >&5    cat conftest.out >&5
5352    if $GREP 'External.*some_variable' conftest.out > /dev/null; then    if $GREP 'External.*some_variable' conftest.out > /dev/null; then
5353      lt_cv_nm_interface="MS dumpbin"      lt_cv_nm_interface="MS dumpbin"
# Line 6180  irix5* | irix6* | nonstopux*) Line 5801  irix5* | irix6* | nonstopux*)
5801    ;;    ;;
5802    
5803  # This must be Linux ELF.  # This must be Linux ELF.
5804  linux* | k*bsd*-gnu)  linux* | k*bsd*-gnu | kopensolaris*-gnu)
5805    lt_cv_deplibs_check_method=pass_all    lt_cv_deplibs_check_method=pass_all
5806    ;;    ;;
5807    
# Line 6883  ia64-*-hpux*) Line 6504  ia64-*-hpux*)
6504    ;;    ;;
6505  *-*-irix6*)  *-*-irix6*)
6506    # Find out which ABI we are using.    # Find out which ABI we are using.
6507    echo '#line 6886 "configure"' > conftest.$ac_ext    echo '#line 6507 "configure"' > conftest.$ac_ext
6508    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6509    (eval $ac_compile) 2>&5    (eval $ac_compile) 2>&5
6510    ac_status=$?    ac_status=$?
# Line 7690  done Line 7311  done
7311    
7312    
7313  # Set options  # Set options
7314    enable_dlopen=yes
7315    
7316    
7317    
         enable_dlopen=no  
   
7318    
7319    enable_win32_dll=no    enable_win32_dll=no
7320    
# Line 8159  else Line 7779  else
7779     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
7780     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
7781     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
7782     (eval echo "\"\$as_me:8162: $lt_compile\"" >&5)     (eval echo "\"\$as_me:7782: $lt_compile\"" >&5)
7783     (eval "$lt_compile" 2>conftest.err)     (eval "$lt_compile" 2>conftest.err)
7784     ac_status=$?     ac_status=$?
7785     cat conftest.err >&5     cat conftest.err >&5
7786     echo "$as_me:8166: \$? = $ac_status" >&5     echo "$as_me:7786: \$? = $ac_status" >&5
7787     if (exit $ac_status) && test -s "$ac_outfile"; then     if (exit $ac_status) && test -s "$ac_outfile"; then
7788       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
7789       # So say no if there are warnings other than the usual output.       # So say no if there are warnings other than the usual output.
# Line 8328  echo $ECHO_N "checking for $compiler opt Line 7948  echo $ECHO_N "checking for $compiler opt
7948        lt_prog_compiler_static='-non_shared'        lt_prog_compiler_static='-non_shared'
7949        ;;        ;;
7950    
7951      linux* | k*bsd*-gnu)      linux* | k*bsd*-gnu | kopensolaris*-gnu)
7952        case $cc_basename in        case $cc_basename in
7953        # old Intel for x86_64 which still supported -KPIC.        # old Intel for x86_64 which still supported -KPIC.
7954        ecc*)        ecc*)
# Line 8498  else Line 8118  else
8118     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
8119     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
8120     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
8121     (eval echo "\"\$as_me:8501: $lt_compile\"" >&5)     (eval echo "\"\$as_me:8121: $lt_compile\"" >&5)
8122     (eval "$lt_compile" 2>conftest.err)     (eval "$lt_compile" 2>conftest.err)
8123     ac_status=$?     ac_status=$?
8124     cat conftest.err >&5     cat conftest.err >&5
8125     echo "$as_me:8505: \$? = $ac_status" >&5     echo "$as_me:8125: \$? = $ac_status" >&5
8126     if (exit $ac_status) && test -s "$ac_outfile"; then     if (exit $ac_status) && test -s "$ac_outfile"; then
8127       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
8128       # So say no if there are warnings other than the usual output.       # So say no if there are warnings other than the usual output.
# Line 8603  else Line 8223  else
8223     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
8224     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
8225     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
8226     (eval echo "\"\$as_me:8606: $lt_compile\"" >&5)     (eval echo "\"\$as_me:8226: $lt_compile\"" >&5)
8227     (eval "$lt_compile" 2>out/conftest.err)     (eval "$lt_compile" 2>out/conftest.err)
8228     ac_status=$?     ac_status=$?
8229     cat out/conftest.err >&5     cat out/conftest.err >&5
8230     echo "$as_me:8610: \$? = $ac_status" >&5     echo "$as_me:8230: \$? = $ac_status" >&5
8231     if (exit $ac_status) && test -s out/conftest2.$ac_objext     if (exit $ac_status) && test -s out/conftest2.$ac_objext
8232     then     then
8233       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
# Line 8658  else Line 8278  else
8278     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
8279     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
8280     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
8281     (eval echo "\"\$as_me:8661: $lt_compile\"" >&5)     (eval echo "\"\$as_me:8281: $lt_compile\"" >&5)
8282     (eval "$lt_compile" 2>out/conftest.err)     (eval "$lt_compile" 2>out/conftest.err)
8283     ac_status=$?     ac_status=$?
8284     cat out/conftest.err >&5     cat out/conftest.err >&5
8285     echo "$as_me:8665: \$? = $ac_status" >&5     echo "$as_me:8285: \$? = $ac_status" >&5
8286     if (exit $ac_status) && test -s out/conftest2.$ac_objext     if (exit $ac_status) && test -s out/conftest2.$ac_objext
8287     then     then
8288       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
# Line 8889  _LT_EOF Line 8509  _LT_EOF
8509        archive_expsym_cmds='sed "s,^,_," $export_symbols >$output_objdir/$soname.expsym~$CC -shared $pic_flag $libobjs $deplibs $compiler_flags ${wl}-h,$soname ${wl}--retain-symbols-file,$output_objdir/$soname.expsym ${wl}--image-base,`expr ${RANDOM-$$} % 4096 / 2 \* 262144 + 1342177280` -o $lib'        archive_expsym_cmds='sed "s,^,_," $export_symbols >$output_objdir/$soname.expsym~$CC -shared $pic_flag $libobjs $deplibs $compiler_flags ${wl}-h,$soname ${wl}--retain-symbols-file,$output_objdir/$soname.expsym ${wl}--image-base,`expr ${RANDOM-$$} % 4096 / 2 \* 262144 + 1342177280` -o $lib'
8510        ;;        ;;
8511    
8512      gnu* | linux* | tpf* | k*bsd*-gnu)      gnu* | linux* | tpf* | k*bsd*-gnu | kopensolaris*-gnu)
8513        tmp_diet=no        tmp_diet=no
8514        if test "$host_os" = linux-dietlibc; then        if test "$host_os" = linux-dietlibc; then
8515          case $cc_basename in          case $cc_basename in
# Line 10438  linux*oldld* | linux*aout* | linux*coff* Line 10058  linux*oldld* | linux*aout* | linux*coff*
10058    ;;    ;;
10059    
10060  # This must be Linux ELF.  # This must be Linux ELF.
10061  linux* | k*bsd*-gnu)  linux* | k*bsd*-gnu | kopensolaris*-gnu)
10062    version_type=linux    version_type=linux
10063    need_lib_prefix=no    need_lib_prefix=no
10064    need_version=no    need_version=no
# Line 11470  else Line 11090  else
11090    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
11091    lt_status=$lt_dlunknown    lt_status=$lt_dlunknown
11092    cat > conftest.$ac_ext <<_LT_EOF    cat > conftest.$ac_ext <<_LT_EOF
11093  #line 11473 "configure"  #line 11093 "configure"
11094  #include "confdefs.h"  #include "confdefs.h"
11095    
11096  #if HAVE_DLFCN_H  #if HAVE_DLFCN_H
# Line 11566  else Line 11186  else
11186    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
11187    lt_status=$lt_dlunknown    lt_status=$lt_dlunknown
11188    cat > conftest.$ac_ext <<_LT_EOF    cat > conftest.$ac_ext <<_LT_EOF
11189  #line 11569 "configure"  #line 11189 "configure"
11190  #include "confdefs.h"  #include "confdefs.h"
11191    
11192  #if HAVE_DLFCN_H  #if HAVE_DLFCN_H
# Line 11794  CC="$lt_save_CC" Line 11414  CC="$lt_save_CC"
11414    
11415    
11416    
11417    
11418    # Check whether --enable-plugins or --disable-plugins was given.
11419    if test "${enable_plugins+set}" = set; then
11420      enableval="$enable_plugins"
11421      case "${enableval}" in
11422      yes | "") plugins=yes ;;
11423      no) plugins=no ;;
11424      *) plugins=yes ;;
11425     esac
11426    else
11427      plugins=no
11428    fi;
11429    
11430    
11431    
11432    
11433    if test "$plugins" = "yes"; then
11434      PLUGINS_TRUE=
11435      PLUGINS_FALSE='#'
11436    else
11437      PLUGINS_TRUE='#'
11438      PLUGINS_FALSE=
11439    fi
11440    
11441    
11442    if test "$plugins" = "yes"; then
11443      if test "$enable_dlopen" != "yes" ; then
11444        { { echo "$as_me:$LINENO: error:
11445          Building BFD with plugin support requires a host that supports -ldl." >&5
11446    echo "$as_me: error:
11447          Building BFD with plugin support requires a host that supports -ldl." >&2;}
11448       { (exit 1); exit 1; }; }
11449      fi
11450      enable_targets="$enable_targets plugin"
11451    fi
11452    
11453    case "${target}" in
11454      sparc-*-solaris*|i[3-7]86-*-solaris*)
11455        # On native 32bit sparc and ia32 solaris, large-file and procfs support
11456        # are mutually exclusive; and without procfs support, the elf module
11457        # cannot provide certain routines such as elfcore_write_prpsinfo
11458        # or elfcore_write_prstatus.  So unless the user explicitly requested
11459        # large-file support through the --enable-largefile switch, disable
11460        # large-file support in favor of procfs support.
11461        if test "${target}" = "${host}" -a "$enable_largefile" != 'yes'; then
11462          if test "$plugins" = "no"; then
11463            enable_largefile="no"
11464          fi
11465        fi
11466        ;;
11467    esac
11468    
11469    # Check whether --enable-largefile or --disable-largefile was given.
11470    if test "${enable_largefile+set}" = set; then
11471      enableval="$enable_largefile"
11472    
11473    fi;
11474    if test "$enable_largefile" != no; then
11475    
11476      echo "$as_me:$LINENO: checking for special C compiler options needed for large files" >&5
11477    echo $ECHO_N "checking for special C compiler options needed for large files... $ECHO_C" >&6
11478    if test "${ac_cv_sys_largefile_CC+set}" = set; then
11479      echo $ECHO_N "(cached) $ECHO_C" >&6
11480    else
11481      ac_cv_sys_largefile_CC=no
11482         if test "$GCC" != yes; then
11483           ac_save_CC=$CC
11484           while :; do
11485             # IRIX 6.2 and later do not support large files by default,
11486             # so use the C compiler's -n32 option if that helps.
11487             cat >conftest.$ac_ext <<_ACEOF
11488    /* confdefs.h.  */
11489    _ACEOF
11490    cat confdefs.h >>conftest.$ac_ext
11491    cat >>conftest.$ac_ext <<_ACEOF
11492    /* end confdefs.h.  */
11493    #include <sys/types.h>
11494     /* Check that off_t can represent 2**63 - 1 correctly.
11495        We can't simply define LARGE_OFF_T to be 9223372036854775807,
11496        since some C++ compilers masquerading as C compilers
11497        incorrectly reject 9223372036854775807.  */
11498    #define LARGE_OFF_T (((off_t) 1 << 62) - 1 + ((off_t) 1 << 62))
11499      int off_t_is_large[(LARGE_OFF_T % 2147483629 == 721
11500                           && LARGE_OFF_T % 2147483647 == 1)
11501                          ? 1 : -1];
11502    int
11503    main ()
11504    {
11505    
11506      ;
11507      return 0;
11508    }
11509    _ACEOF
11510             rm -f conftest.$ac_objext
11511    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
11512      (eval $ac_compile) 2>conftest.er1
11513      ac_status=$?
11514      grep -v '^ *+' conftest.er1 >conftest.err
11515      rm -f conftest.er1
11516      cat conftest.err >&5
11517      echo "$as_me:$LINENO: \$? = $ac_status" >&5
11518      (exit $ac_status); } &&
11519             { ac_try='test -z "$ac_c_werror_flag"
11520                             || test ! -s conftest.err'
11521      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11522      (eval $ac_try) 2>&5
11523      ac_status=$?
11524      echo "$as_me:$LINENO: \$? = $ac_status" >&5
11525      (exit $ac_status); }; } &&
11526             { ac_try='test -s conftest.$ac_objext'
11527      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11528      (eval $ac_try) 2>&5
11529      ac_status=$?
11530      echo "$as_me:$LINENO: \$? = $ac_status" >&5
11531      (exit $ac_status); }; }; then
11532      break
11533    else
11534      echo "$as_me: failed program was:" >&5
11535    sed 's/^/| /' conftest.$ac_ext >&5
11536    
11537    fi
11538    rm -f conftest.err conftest.$ac_objext
11539             CC="$CC -n32"
11540             rm -f conftest.$ac_objext
11541    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
11542      (eval $ac_compile) 2>conftest.er1
11543      ac_status=$?
11544      grep -v '^ *+' conftest.er1 >conftest.err
11545      rm -f conftest.er1
11546      cat conftest.err >&5
11547      echo "$as_me:$LINENO: \$? = $ac_status" >&5
11548      (exit $ac_status); } &&
11549             { ac_try='test -z "$ac_c_werror_flag"
11550                             || test ! -s conftest.err'
11551      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11552      (eval $ac_try) 2>&5
11553      ac_status=$?
11554      echo "$as_me:$LINENO: \$? = $ac_status" >&5
11555      (exit $ac_status); }; } &&
11556             { ac_try='test -s conftest.$ac_objext'
11557      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11558      (eval $ac_try) 2>&5
11559      ac_status=$?
11560      echo "$as_me:$LINENO: \$? = $ac_status" >&5
11561      (exit $ac_status); }; }; then
11562      ac_cv_sys_largefile_CC=' -n32'; break
11563    else
11564      echo "$as_me: failed program was:" >&5
11565    sed 's/^/| /' conftest.$ac_ext >&5
11566    
11567    fi
11568    rm -f conftest.err conftest.$ac_objext
11569             break
11570           done
11571           CC=$ac_save_CC
11572           rm -f conftest.$ac_ext
11573        fi
11574    fi
11575    echo "$as_me:$LINENO: result: $ac_cv_sys_largefile_CC" >&5
11576    echo "${ECHO_T}$ac_cv_sys_largefile_CC" >&6
11577      if test "$ac_cv_sys_largefile_CC" != no; then
11578        CC=$CC$ac_cv_sys_largefile_CC
11579      fi
11580    
11581      echo "$as_me:$LINENO: checking for _FILE_OFFSET_BITS value needed for large files" >&5
11582    echo $ECHO_N "checking for _FILE_OFFSET_BITS value needed for large files... $ECHO_C" >&6
11583    if test "${ac_cv_sys_file_offset_bits+set}" = set; then
11584      echo $ECHO_N "(cached) $ECHO_C" >&6
11585    else
11586      while :; do
11587      ac_cv_sys_file_offset_bits=no
11588      cat >conftest.$ac_ext <<_ACEOF
11589    /* confdefs.h.  */
11590    _ACEOF
11591    cat confdefs.h >>conftest.$ac_ext
11592    cat >>conftest.$ac_ext <<_ACEOF
11593    /* end confdefs.h.  */
11594    #include <sys/types.h>
11595     /* Check that off_t can represent 2**63 - 1 correctly.
11596        We can't simply define LARGE_OFF_T to be 9223372036854775807,
11597        since some C++ compilers masquerading as C compilers
11598        incorrectly reject 9223372036854775807.  */
11599    #define LARGE_OFF_T (((off_t) 1 << 62) - 1 + ((off_t) 1 << 62))
11600      int off_t_is_large[(LARGE_OFF_T % 2147483629 == 721
11601                           && LARGE_OFF_T % 2147483647 == 1)
11602                          ? 1 : -1];
11603    int
11604    main ()
11605    {
11606    
11607      ;
11608      return 0;
11609    }
11610    _ACEOF
11611    rm -f conftest.$ac_objext
11612    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
11613      (eval $ac_compile) 2>conftest.er1
11614      ac_status=$?
11615      grep -v '^ *+' conftest.er1 >conftest.err
11616      rm -f conftest.er1
11617      cat conftest.err >&5
11618      echo "$as_me:$LINENO: \$? = $ac_status" >&5
11619      (exit $ac_status); } &&
11620             { ac_try='test -z "$ac_c_werror_flag"
11621                             || test ! -s conftest.err'
11622      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11623      (eval $ac_try) 2>&5
11624      ac_status=$?
11625      echo "$as_me:$LINENO: \$? = $ac_status" >&5
11626      (exit $ac_status); }; } &&
11627             { ac_try='test -s conftest.$ac_objext'
11628      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11629      (eval $ac_try) 2>&5
11630      ac_status=$?
11631      echo "$as_me:$LINENO: \$? = $ac_status" >&5
11632      (exit $ac_status); }; }; then
11633      break
11634    else
11635      echo "$as_me: failed program was:" >&5
11636    sed 's/^/| /' conftest.$ac_ext >&5
11637    
11638    fi
11639    rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
11640      cat >conftest.$ac_ext <<_ACEOF
11641    /* confdefs.h.  */
11642    _ACEOF
11643    cat confdefs.h >>conftest.$ac_ext
11644    cat >>conftest.$ac_ext <<_ACEOF
11645    /* end confdefs.h.  */
11646    #define _FILE_OFFSET_BITS 64
11647    #include <sys/types.h>
11648     /* Check that off_t can represent 2**63 - 1 correctly.
11649        We can't simply define LARGE_OFF_T to be 9223372036854775807,
11650        since some C++ compilers masquerading as C compilers
11651        incorrectly reject 9223372036854775807.  */
11652    #define LARGE_OFF_T (((off_t) 1 << 62) - 1 + ((off_t) 1 << 62))
11653      int off_t_is_large[(LARGE_OFF_T % 2147483629 == 721
11654                           && LARGE_OFF_T % 2147483647 == 1)
11655                          ? 1 : -1];
11656    int
11657    main ()
11658    {
11659    
11660      ;
11661      return 0;
11662    }
11663    _ACEOF
11664    rm -f conftest.$ac_objext
11665    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
11666      (eval $ac_compile) 2>conftest.er1
11667      ac_status=$?
11668      grep -v '^ *+' conftest.er1 >conftest.err
11669      rm -f conftest.er1
11670      cat conftest.err >&5
11671      echo "$as_me:$LINENO: \$? = $ac_status" >&5
11672      (exit $ac_status); } &&
11673             { ac_try='test -z "$ac_c_werror_flag"
11674                             || test ! -s conftest.err'
11675      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11676      (eval $ac_try) 2>&5
11677      ac_status=$?
11678      echo "$as_me:$LINENO: \$? = $ac_status" >&5
11679      (exit $ac_status); }; } &&
11680             { ac_try='test -s conftest.$ac_objext'
11681      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11682      (eval $ac_try) 2>&5
11683      ac_status=$?
11684      echo "$as_me:$LINENO: \$? = $ac_status" >&5
11685      (exit $ac_status); }; }; then
11686      ac_cv_sys_file_offset_bits=64; break
11687    else
11688      echo "$as_me: failed program was:" >&5
11689    sed 's/^/| /' conftest.$ac_ext >&5
11690    
11691    fi
11692    rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
11693      break
11694    done
11695    fi
11696    echo "$as_me:$LINENO: result: $ac_cv_sys_file_offset_bits" >&5
11697    echo "${ECHO_T}$ac_cv_sys_file_offset_bits" >&6
11698    if test "$ac_cv_sys_file_offset_bits" != no; then
11699    
11700    cat >>confdefs.h <<_ACEOF
11701    #define _FILE_OFFSET_BITS $ac_cv_sys_file_offset_bits
11702    _ACEOF
11703    
11704    fi
11705    rm -f conftest*
11706      echo "$as_me:$LINENO: checking for _LARGE_FILES value needed for large files" >&5
11707    echo $ECHO_N "checking for _LARGE_FILES value needed for large files... $ECHO_C" >&6
11708    if test "${ac_cv_sys_large_files+set}" = set; then
11709      echo $ECHO_N "(cached) $ECHO_C" >&6
11710    else
11711      while :; do
11712      ac_cv_sys_large_files=no
11713      cat >conftest.$ac_ext <<_ACEOF
11714    /* confdefs.h.  */
11715    _ACEOF
11716    cat confdefs.h >>conftest.$ac_ext
11717    cat >>conftest.$ac_ext <<_ACEOF
11718    /* end confdefs.h.  */
11719    #include <sys/types.h>
11720     /* Check that off_t can represent 2**63 - 1 correctly.
11721        We can't simply define LARGE_OFF_T to be 9223372036854775807,
11722        since some C++ compilers masquerading as C compilers
11723        incorrectly reject 9223372036854775807.  */
11724    #define LARGE_OFF_T (((off_t) 1 << 62) - 1 + ((off_t) 1 << 62))
11725      int off_t_is_large[(LARGE_OFF_T % 2147483629 == 721
11726                           && LARGE_OFF_T % 2147483647 == 1)
11727                          ? 1 : -1];
11728    int
11729    main ()
11730    {
11731    
11732      ;
11733      return 0;
11734    }
11735    _ACEOF
11736    rm -f conftest.$ac_objext
11737    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
11738      (eval $ac_compile) 2>conftest.er1
11739      ac_status=$?
11740      grep -v '^ *+' conftest.er1 >conftest.err
11741      rm -f conftest.er1
11742      cat conftest.err >&5
11743      echo "$as_me:$LINENO: \$? = $ac_status" >&5
11744      (exit $ac_status); } &&
11745             { ac_try='test -z "$ac_c_werror_flag"
11746                             || test ! -s conftest.err'
11747      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11748      (eval $ac_try) 2>&5
11749      ac_status=$?
11750      echo "$as_me:$LINENO: \$? = $ac_status" >&5
11751      (exit $ac_status); }; } &&
11752             { ac_try='test -s conftest.$ac_objext'
11753      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11754      (eval $ac_try) 2>&5
11755      ac_status=$?
11756      echo "$as_me:$LINENO: \$? = $ac_status" >&5
11757      (exit $ac_status); }; }; then
11758      break
11759    else
11760      echo "$as_me: failed program was:" >&5
11761    sed 's/^/| /' conftest.$ac_ext >&5
11762    
11763    fi
11764    rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
11765      cat >conftest.$ac_ext <<_ACEOF
11766    /* confdefs.h.  */
11767    _ACEOF
11768    cat confdefs.h >>conftest.$ac_ext
11769    cat >>conftest.$ac_ext <<_ACEOF
11770    /* end confdefs.h.  */
11771    #define _LARGE_FILES 1
11772    #include <sys/types.h>
11773     /* Check that off_t can represent 2**63 - 1 correctly.
11774        We can't simply define LARGE_OFF_T to be 9223372036854775807,
11775        since some C++ compilers masquerading as C compilers
11776        incorrectly reject 9223372036854775807.  */
11777    #define LARGE_OFF_T (((off_t) 1 << 62) - 1 + ((off_t) 1 << 62))
11778      int off_t_is_large[(LARGE_OFF_T % 2147483629 == 721
11779                           && LARGE_OFF_T % 2147483647 == 1)
11780                          ? 1 : -1];
11781    int
11782    main ()
11783    {
11784    
11785      ;
11786      return 0;
11787    }
11788    _ACEOF
11789    rm -f conftest.$ac_objext
11790    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
11791      (eval $ac_compile) 2>conftest.er1
11792      ac_status=$?
11793      grep -v '^ *+' conftest.er1 >conftest.err
11794      rm -f conftest.er1
11795      cat conftest.err >&5
11796      echo "$as_me:$LINENO: \$? = $ac_status" >&5
11797      (exit $ac_status); } &&
11798             { ac_try='test -z "$ac_c_werror_flag"
11799                             || test ! -s conftest.err'
11800      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11801      (eval $ac_try) 2>&5
11802      ac_status=$?
11803      echo "$as_me:$LINENO: \$? = $ac_status" >&5
11804      (exit $ac_status); }; } &&
11805             { ac_try='test -s conftest.$ac_objext'
11806      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11807      (eval $ac_try) 2>&5
11808      ac_status=$?
11809      echo "$as_me:$LINENO: \$? = $ac_status" >&5
11810      (exit $ac_status); }; }; then
11811      ac_cv_sys_large_files=1; break
11812    else
11813      echo "$as_me: failed program was:" >&5
11814    sed 's/^/| /' conftest.$ac_ext >&5
11815    
11816    fi
11817    rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
11818      break
11819    done
11820    fi
11821    echo "$as_me:$LINENO: result: $ac_cv_sys_large_files" >&5
11822    echo "${ECHO_T}$ac_cv_sys_large_files" >&6
11823    if test "$ac_cv_sys_large_files" != no; then
11824    
11825    cat >>confdefs.h <<_ACEOF
11826    #define _LARGE_FILES $ac_cv_sys_large_files
11827    _ACEOF
11828    
11829    fi
11830    rm -f conftest*
11831    fi
11832    
11833    
11834  # Check whether --enable-64-bit-bfd or --disable-64-bit-bfd was given.  # Check whether --enable-64-bit-bfd or --disable-64-bit-bfd was given.
11835  if test "${enable_64_bit_bfd+set}" = set; then  if test "${enable_64_bit_bfd+set}" = set; then
11836    enableval="$enable_64_bit_bfd"    enableval="$enable_64_bit_bfd"
# Line 11819  echo "$as_me: error: enable-targets opti Line 11856  echo "$as_me: error: enable-targets opti
11856    *)        enable_targets=$enableval ;;    *)        enable_targets=$enableval ;;
11857  esac  esac
11858  fi;  fi;
 # Check whether --enable-commonbfdlib or --disable-commonbfdlib was given.  
 if test "${enable_commonbfdlib+set}" = set; then  
   enableval="$enable_commonbfdlib"  
   case "${enableval}" in  
   yes) commonbfdlib=true ;;  
   no)  commonbfdlib=false ;;  
   *)   { { echo "$as_me:$LINENO: error: bad value ${enableval} for BFD commonbfdlib option" >&5  
 echo "$as_me: error: bad value ${enableval} for BFD commonbfdlib option" >&2;}  
    { (exit 1); exit 1; }; } ;;  
 esac  
 fi;  
11859    
11860  # Check whether --with-mmap or --without-mmap was given.  # Check whether --with-mmap or --without-mmap was given.
11861  if test "${with_mmap+set}" = set; then  if test "${with_mmap+set}" = set; then
# Line 12121  bfd_default_target_size=32 Line 12147  bfd_default_target_size=32
12147    
12148  # host stuff:  # host stuff:
12149    
12150  ALL_LINGUAS="fr tr ja es sv da zh_CN ro rw vi fi id"  ALL_LINGUAS="fr tr ja es sv da zh_CN ro rw vi fi id ru"
12151  # If we haven't got the data from the intl directory,  # If we haven't got the data from the intl directory,
12152  # assume NLS is disabled.  # assume NLS is disabled.
12153  USE_NLS=no  USE_NLS=no
# Line 14093  done Line 14119  done
14119    
14120    
14121    
14122  for ac_header in fcntl.h sys/file.h sys/time.h  
14123    for ac_header in fcntl.h sys/file.h sys/time.h sys/stat.h
14124  do  do
14125  as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`  as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
14126  if eval "test \"\${$as_ac_Header+set}\" = set"; then  if eval "test \"\${$as_ac_Header+set}\" = set"; then
# Line 18808  fi Line 18835  fi
18835    
18836    
18837    
18838    # Support for VMS timestamps via cross compile
18839    
18840    if test "$ac_cv_header_time_h" = yes; then
18841      echo "$as_me:$LINENO: checking for struct tm.tm_gmtoff in time.h" >&5
18842    echo $ECHO_N "checking for struct tm.tm_gmtoff in time.h... $ECHO_C" >&6
18843     if test "${bfd_cv_have_time_type_member_tm_gmtoff+set}" = set; then
18844      echo $ECHO_N "(cached) $ECHO_C" >&6
18845    else
18846      cat >conftest.$ac_ext <<_ACEOF
18847    /* confdefs.h.  */
18848    _ACEOF
18849    cat confdefs.h >>conftest.$ac_ext
18850    cat >>conftest.$ac_ext <<_ACEOF
18851    /* end confdefs.h.  */
18852    
18853    #define _BSD_SOURCE 1
18854    #include <time.h>
18855    int
18856    main ()
18857    {
18858    struct tm avar; void* aref = (void*) &avar.tm_gmtoff
18859      ;
18860      return 0;
18861    }
18862    _ACEOF
18863    rm -f conftest.$ac_objext
18864    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
18865      (eval $ac_compile) 2>conftest.er1
18866      ac_status=$?
18867      grep -v '^ *+' conftest.er1 >conftest.err
18868      rm -f conftest.er1
18869      cat conftest.err >&5
18870      echo "$as_me:$LINENO: \$? = $ac_status" >&5
18871      (exit $ac_status); } &&
18872             { ac_try='test -z "$ac_c_werror_flag"
18873                             || test ! -s conftest.err'
18874      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
18875      (eval $ac_try) 2>&5
18876      ac_status=$?
18877      echo "$as_me:$LINENO: \$? = $ac_status" >&5
18878      (exit $ac_status); }; } &&
18879             { ac_try='test -s conftest.$ac_objext'
18880      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
18881      (eval $ac_try) 2>&5
18882      ac_status=$?
18883      echo "$as_me:$LINENO: \$? = $ac_status" >&5
18884      (exit $ac_status); }; }; then
18885      bfd_cv_have_time_type_member_tm_gmtoff=yes
18886    else
18887      echo "$as_me: failed program was:" >&5
18888    sed 's/^/| /' conftest.$ac_ext >&5
18889    
18890    bfd_cv_have_time_type_member_tm_gmtoff=no
18891    
18892    fi
18893    rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
18894    fi
18895    
18896     if test $bfd_cv_have_time_type_member_tm_gmtoff = yes; then
18897    
18898    cat >>confdefs.h <<\_ACEOF
18899    #define HAVE_TM_GMTOFF 1
18900    _ACEOF
18901    
18902     fi
18903     echo "$as_me:$LINENO: result: $bfd_cv_have_time_type_member_tm_gmtoff" >&5
18904    echo "${ECHO_T}$bfd_cv_have_time_type_member_tm_gmtoff" >&6
18905    
18906    fi
18907    
18908    if test "$ac_cv_header_sys_stat_h" = yes; then
18909        echo "$as_me:$LINENO: checking for struct stat.st_mtim.tv_sec in sys/stat.h" >&5
18910    echo $ECHO_N "checking for struct stat.st_mtim.tv_sec in sys/stat.h... $ECHO_C" >&6
18911     if test "${bfd_cv_have_sys_stat_type_member_st_mtim_tv_sec+set}" = set; then
18912      echo $ECHO_N "(cached) $ECHO_C" >&6
18913    else
18914      cat >conftest.$ac_ext <<_ACEOF
18915    /* confdefs.h.  */
18916    _ACEOF
18917    cat confdefs.h >>conftest.$ac_ext
18918    cat >>conftest.$ac_ext <<_ACEOF
18919    /* end confdefs.h.  */
18920    
18921    #define _BSD_SOURCE 1
18922    #include <sys/stat.h>
18923    int
18924    main ()
18925    {
18926    struct stat avar; void* aref = (void*) &avar.st_mtim.tv_sec
18927      ;
18928      return 0;
18929    }
18930    _ACEOF
18931    rm -f conftest.$ac_objext
18932    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
18933      (eval $ac_compile) 2>conftest.er1
18934      ac_status=$?
18935      grep -v '^ *+' conftest.er1 >conftest.err
18936      rm -f conftest.er1
18937      cat conftest.err >&5
18938      echo "$as_me:$LINENO: \$? = $ac_status" >&5
18939      (exit $ac_status); } &&
18940             { ac_try='test -z "$ac_c_werror_flag"
18941                             || test ! -s conftest.err'
18942      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
18943      (eval $ac_try) 2>&5
18944      ac_status=$?
18945      echo "$as_me:$LINENO: \$? = $ac_status" >&5
18946      (exit $ac_status); }; } &&
18947             { ac_try='test -s conftest.$ac_objext'
18948      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
18949      (eval $ac_try) 2>&5
18950      ac_status=$?
18951      echo "$as_me:$LINENO: \$? = $ac_status" >&5
18952      (exit $ac_status); }; }; then
18953      bfd_cv_have_sys_stat_type_member_st_mtim_tv_sec=yes
18954    else
18955      echo "$as_me: failed program was:" >&5
18956    sed 's/^/| /' conftest.$ac_ext >&5
18957    
18958    bfd_cv_have_sys_stat_type_member_st_mtim_tv_sec=no
18959    
18960    fi
18961    rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
18962    fi
18963    
18964     if test $bfd_cv_have_sys_stat_type_member_st_mtim_tv_sec = yes; then
18965    
18966    cat >>confdefs.h <<\_ACEOF
18967    #define HAVE_ST_MTIM_TV_SEC 1
18968    _ACEOF
18969    
18970     fi
18971     echo "$as_me:$LINENO: result: $bfd_cv_have_sys_stat_type_member_st_mtim_tv_sec" >&5
18972    echo "${ECHO_T}$bfd_cv_have_sys_stat_type_member_st_mtim_tv_sec" >&6
18973    
18974        echo "$as_me:$LINENO: checking for struct stat.st_mtim.tv_nsec in sys/stat.h" >&5
18975    echo $ECHO_N "checking for struct stat.st_mtim.tv_nsec in sys/stat.h... $ECHO_C" >&6
18976     if test "${bfd_cv_have_sys_stat_type_member_st_mtim_tv_nsec+set}" = set; then
18977      echo $ECHO_N "(cached) $ECHO_C" >&6
18978    else
18979      cat >conftest.$ac_ext <<_ACEOF
18980    /* confdefs.h.  */
18981    _ACEOF
18982    cat confdefs.h >>conftest.$ac_ext
18983    cat >>conftest.$ac_ext <<_ACEOF
18984    /* end confdefs.h.  */
18985    
18986    #define _BSD_SOURCE 1
18987    #include <sys/stat.h>
18988    int
18989    main ()
18990    {
18991    struct stat avar; void* aref = (void*) &avar.st_mtim.tv_nsec
18992      ;
18993      return 0;
18994    }
18995    _ACEOF
18996    rm -f conftest.$ac_objext
18997    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
18998      (eval $ac_compile) 2>conftest.er1
18999      ac_status=$?
19000      grep -v '^ *+' conftest.er1 >conftest.err
19001      rm -f conftest.er1
19002      cat conftest.err >&5
19003      echo "$as_me:$LINENO: \$? = $ac_status" >&5
19004      (exit $ac_status); } &&
19005             { ac_try='test -z "$ac_c_werror_flag"
19006                             || test ! -s conftest.err'
19007      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
19008      (eval $ac_try) 2>&5
19009      ac_status=$?
19010      echo "$as_me:$LINENO: \$? = $ac_status" >&5
19011      (exit $ac_status); }; } &&
19012             { ac_try='test -s conftest.$ac_objext'
19013      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
19014      (eval $ac_try) 2>&5
19015      ac_status=$?
19016      echo "$as_me:$LINENO: \$? = $ac_status" >&5
19017      (exit $ac_status); }; }; then
19018      bfd_cv_have_sys_stat_type_member_st_mtim_tv_nsec=yes
19019    else
19020      echo "$as_me: failed program was:" >&5
19021    sed 's/^/| /' conftest.$ac_ext >&5
19022    
19023    bfd_cv_have_sys_stat_type_member_st_mtim_tv_nsec=no
19024    
19025    fi
19026    rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
19027    fi
19028    
19029     if test $bfd_cv_have_sys_stat_type_member_st_mtim_tv_nsec = yes; then
19030    
19031    cat >>confdefs.h <<\_ACEOF
19032    #define HAVE_ST_MTIM_TV_NSEC 1
19033    _ACEOF
19034    
19035     fi
19036     echo "$as_me:$LINENO: result: $bfd_cv_have_sys_stat_type_member_st_mtim_tv_nsec" >&5
19037    echo "${ECHO_T}$bfd_cv_have_sys_stat_type_member_st_mtim_tv_nsec" >&6
19038    
19039    fi
19040    
19041  # Link in zlib if we can.  This allows us to read compressed debug sections.  # Link in zlib if we can.  This allows us to read compressed debug sections.
19042  # This is used only by compress.c.  # This is used only by compress.c.
19043  echo "$as_me:$LINENO: checking for library containing zlibVersion" >&5  echo "$as_me:$LINENO: checking for library containing zlibVersion" >&5
# Line 19240  if test "${target}" = "${host}"; then Line 19470  if test "${target}" = "${host}"; then
19470    rs6000-*-lynx*)    rs6000-*-lynx*)
19471          COREFILE=lynx-core.lo          COREFILE=lynx-core.lo
19472          ;;          ;;
19473    rs6000-*-aix5.* | powerpc-*-aix5.*)    rs6000-*-aix[5-9].* | powerpc-*-aix[5-9].*)
19474          COREFILE=rs6000-core.lo          COREFILE=rs6000-core.lo
19475          COREFLAG="$COREFLAG -DAIX_5_CORE -DAIX_CORE_DUMPX_CORE"          COREFLAG="$COREFLAG -DAIX_5_CORE -DAIX_CORE_DUMPX_CORE"
19476          ;;          ;;
# Line 20567  _ACEOF Line 20797  _ACEOF
20797    
20798  fi  fi
20799    
20800  # Horrible hacks to build DLLs on Windows.  # Check if linker supports --as-needed and --no-as-needed options
20801  WIN32LDFLAGS=  echo "$as_me:$LINENO: checking linker --as-needed support" >&5
20802  WIN32LIBADD=  echo $ECHO_N "checking linker --as-needed support... $ECHO_C" >&6
20803  case "${host}" in  if test "${bfd_cv_ld_as_needed+set}" = set; then
20804  *-*-cygwin*)    echo $ECHO_N "(cached) $ECHO_C" >&6
20805    if test "$enable_shared" = "yes"; then  else
20806      WIN32LDFLAGS="-no-undefined"    bfd_cv_ld_as_needed=no
20807      WIN32LIBADD="-L`pwd`/../libiberty -liberty -L`pwd`/../intl -lintl -lcygwin -lkernel32"          if $LD --help 2>/dev/null | grep as-needed > /dev/null; then
20808    fi                  bfd_cv_ld_as_needed=yes
20809            fi
20810    
20811    fi
20812    echo "$as_me:$LINENO: result: $bfd_cv_ld_as_needed" >&5
20813    echo "${ECHO_T}$bfd_cv_ld_as_needed" >&6
20814    
20815    LIBM=
20816    case $host in
20817    *-*-beos* | *-*-cygwin* | *-*-pw32* | *-*-darwin*)
20818      # These system don't have libm, or don't need it
20819      ;;
20820    *-ncr-sysv4.3*)
20821      echo "$as_me:$LINENO: checking for _mwvalidcheckl in -lmw" >&5
20822    echo $ECHO_N "checking for _mwvalidcheckl in -lmw... $ECHO_C" >&6
20823    if test "${ac_cv_lib_mw__mwvalidcheckl+set}" = set; then
20824      echo $ECHO_N "(cached) $ECHO_C" >&6
20825    else
20826      ac_check_lib_save_LIBS=$LIBS
20827    LIBS="-lmw  $LIBS"
20828    cat >conftest.$ac_ext <<_ACEOF
20829    /* confdefs.h.  */
20830    _ACEOF
20831    cat confdefs.h >>conftest.$ac_ext
20832    cat >>conftest.$ac_ext <<_ACEOF
20833    /* end confdefs.h.  */
20834    
20835    /* Override any gcc2 internal prototype to avoid an error.  */
20836    #ifdef __cplusplus
20837    extern "C"
20838    #endif
20839    /* We use char because int might match the return type of a gcc2
20840       builtin and then its argument prototype would still apply.  */
20841    char _mwvalidcheckl ();
20842    int
20843    main ()
20844    {
20845    _mwvalidcheckl ();
20846      ;
20847      return 0;
20848    }
20849    _ACEOF
20850    rm -f conftest.$ac_objext conftest$ac_exeext
20851    if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
20852      (eval $ac_link) 2>conftest.er1
20853      ac_status=$?
20854      grep -v '^ *+' conftest.er1 >conftest.err
20855      rm -f conftest.er1
20856      cat conftest.err >&5
20857      echo "$as_me:$LINENO: \$? = $ac_status" >&5
20858      (exit $ac_status); } &&
20859             { ac_try='test -z "$ac_c_werror_flag"
20860                             || test ! -s conftest.err'
20861      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
20862      (eval $ac_try) 2>&5
20863      ac_status=$?
20864      echo "$as_me:$LINENO: \$? = $ac_status" >&5
20865      (exit $ac_status); }; } &&
20866             { ac_try='test -s conftest$ac_exeext'
20867      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
20868      (eval $ac_try) 2>&5
20869      ac_status=$?
20870      echo "$as_me:$LINENO: \$? = $ac_status" >&5
20871      (exit $ac_status); }; }; then
20872      ac_cv_lib_mw__mwvalidcheckl=yes
20873    else
20874      echo "$as_me: failed program was:" >&5
20875    sed 's/^/| /' conftest.$ac_ext >&5
20876    
20877    ac_cv_lib_mw__mwvalidcheckl=no
20878    fi
20879    rm -f conftest.err conftest.$ac_objext \
20880          conftest$ac_exeext conftest.$ac_ext
20881    LIBS=$ac_check_lib_save_LIBS
20882    fi
20883    echo "$as_me:$LINENO: result: $ac_cv_lib_mw__mwvalidcheckl" >&5
20884    echo "${ECHO_T}$ac_cv_lib_mw__mwvalidcheckl" >&6
20885    if test $ac_cv_lib_mw__mwvalidcheckl = yes; then
20886      LIBM="-lmw"
20887    fi
20888    
20889      echo "$as_me:$LINENO: checking for cos in -lm" >&5
20890    echo $ECHO_N "checking for cos in -lm... $ECHO_C" >&6
20891    if test "${ac_cv_lib_m_cos+set}" = set; then
20892      echo $ECHO_N "(cached) $ECHO_C" >&6
20893    else
20894      ac_check_lib_save_LIBS=$LIBS
20895    LIBS="-lm  $LIBS"
20896    cat >conftest.$ac_ext <<_ACEOF
20897    /* confdefs.h.  */
20898    _ACEOF
20899    cat confdefs.h >>conftest.$ac_ext
20900    cat >>conftest.$ac_ext <<_ACEOF
20901    /* end confdefs.h.  */
20902    
20903    /* Override any gcc2 internal prototype to avoid an error.  */
20904    #ifdef __cplusplus
20905    extern "C"
20906    #endif
20907    /* We use char because int might match the return type of a gcc2
20908       builtin and then its argument prototype would still apply.  */
20909    char cos ();
20910    int
20911    main ()
20912    {
20913    cos ();
20914      ;
20915      return 0;
20916    }
20917    _ACEOF
20918    rm -f conftest.$ac_objext conftest$ac_exeext
20919    if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
20920      (eval $ac_link) 2>conftest.er1
20921      ac_status=$?
20922      grep -v '^ *+' conftest.er1 >conftest.err
20923      rm -f conftest.er1
20924      cat conftest.err >&5
20925      echo "$as_me:$LINENO: \$? = $ac_status" >&5
20926      (exit $ac_status); } &&
20927             { ac_try='test -z "$ac_c_werror_flag"
20928                             || test ! -s conftest.err'
20929      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
20930      (eval $ac_try) 2>&5
20931      ac_status=$?
20932      echo "$as_me:$LINENO: \$? = $ac_status" >&5
20933      (exit $ac_status); }; } &&
20934             { ac_try='test -s conftest$ac_exeext'
20935      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
20936      (eval $ac_try) 2>&5
20937      ac_status=$?
20938      echo "$as_me:$LINENO: \$? = $ac_status" >&5
20939      (exit $ac_status); }; }; then
20940      ac_cv_lib_m_cos=yes
20941    else
20942      echo "$as_me: failed program was:" >&5
20943    sed 's/^/| /' conftest.$ac_ext >&5
20944    
20945    ac_cv_lib_m_cos=no
20946    fi
20947    rm -f conftest.err conftest.$ac_objext \
20948          conftest$ac_exeext conftest.$ac_ext
20949    LIBS=$ac_check_lib_save_LIBS
20950    fi
20951    echo "$as_me:$LINENO: result: $ac_cv_lib_m_cos" >&5
20952    echo "${ECHO_T}$ac_cv_lib_m_cos" >&6
20953    if test $ac_cv_lib_m_cos = yes; then
20954      LIBM="$LIBM -lm"
20955    fi
20956    
20957      ;;
20958    *)
20959      echo "$as_me:$LINENO: checking for cos in -lm" >&5
20960    echo $ECHO_N "checking for cos in -lm... $ECHO_C" >&6
20961    if test "${ac_cv_lib_m_cos+set}" = set; then
20962      echo $ECHO_N "(cached) $ECHO_C" >&6
20963    else
20964      ac_check_lib_save_LIBS=$LIBS
20965    LIBS="-lm  $LIBS"
20966    cat >conftest.$ac_ext <<_ACEOF
20967    /* confdefs.h.  */
20968    _ACEOF
20969    cat confdefs.h >>conftest.$ac_ext
20970    cat >>conftest.$ac_ext <<_ACEOF
20971    /* end confdefs.h.  */
20972    
20973    /* Override any gcc2 internal prototype to avoid an error.  */
20974    #ifdef __cplusplus
20975    extern "C"
20976    #endif
20977    /* We use char because int might match the return type of a gcc2
20978       builtin and then its argument prototype would still apply.  */
20979    char cos ();
20980    int
20981    main ()
20982    {
20983    cos ();
20984      ;
20985      return 0;
20986    }
20987    _ACEOF
20988    rm -f conftest.$ac_objext conftest$ac_exeext
20989    if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
20990      (eval $ac_link) 2>conftest.er1
20991      ac_status=$?
20992      grep -v '^ *+' conftest.er1 >conftest.err
20993      rm -f conftest.er1
20994      cat conftest.err >&5
20995      echo "$as_me:$LINENO: \$? = $ac_status" >&5
20996      (exit $ac_status); } &&
20997             { ac_try='test -z "$ac_c_werror_flag"
20998                             || test ! -s conftest.err'
20999      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
21000      (eval $ac_try) 2>&5
21001      ac_status=$?
21002      echo "$as_me:$LINENO: \$? = $ac_status" >&5
21003      (exit $ac_status); }; } &&
21004             { ac_try='test -s conftest$ac_exeext'
21005      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
21006      (eval $ac_try) 2>&5
21007      ac_status=$?
21008      echo "$as_me:$LINENO: \$? = $ac_status" >&5
21009      (exit $ac_status); }; }; then
21010      ac_cv_lib_m_cos=yes
21011    else
21012      echo "$as_me: failed program was:" >&5
21013    sed 's/^/| /' conftest.$ac_ext >&5
21014    
21015    ac_cv_lib_m_cos=no
21016    fi
21017    rm -f conftest.err conftest.$ac_objext \
21018          conftest$ac_exeext conftest.$ac_ext
21019    LIBS=$ac_check_lib_save_LIBS
21020    fi
21021    echo "$as_me:$LINENO: result: $ac_cv_lib_m_cos" >&5
21022    echo "${ECHO_T}$ac_cv_lib_m_cos" >&6
21023    if test $ac_cv_lib_m_cos = yes; then
21024      LIBM="-lm"
21025    fi
21026    
21027    ;;    ;;
21028  *-*-linux*)  esac
21029    # We borrow WIN32LIBADD so that the shared libbfd won't depend on  
21030    # libiberty.a.  
21031    
21032    # When building a shared libbfd, link against the pic version of libiberty
21033    # so that apps that use libbfd won't need libiberty just to satisfy any
21034    # libbfd references.
21035    # We can't do that if a pic libiberty is unavailable since including non-pic
21036    # code would insert text relocations into libbfd.
21037    SHARED_LIBADD=
21038    SHARED_LDFLAGS=
21039    if test "$enable_shared" = "yes"; then
21040    x=`sed -n -e 's/^[    ]*PICFLAG[      ]*=[    ]*//p' < ../libiberty/Makefile | sed -n '$p'`    x=`sed -n -e 's/^[    ]*PICFLAG[      ]*=[    ]*//p' < ../libiberty/Makefile | sed -n '$p'`
21041    if test -n "$x"; then    if test -n "$x"; then
21042      WIN32LIBADD="-L../libiberty/pic -liberty"      SHARED_LIBADD="-L`pwd`/../libiberty/pic -liberty"
21043    fi    fi
21044    
21045    # More hacks to build DLLs on Windows.
21046      case "${host}" in
21047      *-*-cygwin*)
21048        SHARED_LDFLAGS="-no-undefined"
21049        SHARED_LIBADD="-L`pwd`/../libiberty -liberty -L`pwd`/../intl -lintl -lcygwin -lkernel32"
21050    ;;    ;;
21051  esac    esac
21052    
21053      if test -n "$SHARED_LIBADD"; then
21054        if test -n "$LIBM"; then
21055          if test x"$bfd_cv_ld_as_needed" = xyes; then
21056            # Link against libm only when needed.  Put -lc, -lm inside -Wl
21057            # to stop libtool reordering these options.
21058            SHARED_LIBADD="$SHARED_LIBADD -Wl,-lc,--as-needed,`echo $LIBM | sed 's/ /,/g'`,--no-as-needed"
21059          else
21060            SHARED_LIBADD="$SHARED_LIBADD $LIBM"
21061          fi
21062        fi
21063      fi
21064    fi
21065    
21066    
21067    
# Line 20670  selarchs="$f" Line 21146  selarchs="$f"
21146  # Target backend .o files.  # Target backend .o files.
21147  tb=  tb=
21148    
21149  elf="elf.lo elflink.lo elf-attrs.lo elf-strtab.lo elf-eh-frame.lo dwarf1.lo"  elf="elf.lo elflink.lo elf-attrs.lo elf-ifunc.lo elf-strtab.lo
21150         elf-eh-frame.lo dwarf1.lo"
21151    
21152  for vec in $selvecs  for vec in $selvecs
21153  do  do
# Line 20702  do Line 21179  do
21179      armpei_little_vec)          tb="$tb pei-arm.lo peigen.lo cofflink.lo " ;;      armpei_little_vec)          tb="$tb pei-arm.lo peigen.lo cofflink.lo " ;;
21180      b_out_vec_big_host)         tb="$tb bout.lo aout32.lo" ;;      b_out_vec_big_host)         tb="$tb bout.lo aout32.lo" ;;
21181      b_out_vec_little_host)      tb="$tb bout.lo aout32.lo" ;;      b_out_vec_little_host)      tb="$tb bout.lo aout32.lo" ;;
21182      bfd_efi_app_ia32_vec)       tb="$tb efi-app-ia32.lo peigen.lo cofflink.lo" ;;      bfd_pei_ia64_vec)           tb="$tb pei-ia64.lo pepigen.lo cofflink.lo"; target_size=64 ;;
     bfd_efi_bsdrv_ia32_vec)     tb="$tb efi-bsdrv-ia32.lo peigen.lo cofflink.lo" ;;  
     bfd_efi_rtdrv_ia32_vec)     tb="$tb efi-rtdrv-ia32.lo peigen.lo cofflink.lo" ;;  
     bfd_efi_app_x86_64_vec)     tb="$tb efi-app-x86_64.lo pex64igen.lo cofflink.lo" ;target_size=64;;  
     bfd_efi_bsdrv_x86_64_vec)   tb="$tb efi-bsdrv-x86_64.lo pex64igen.lo cofflink.lo" ;target_size=64;;  
     bfd_efi_rtdrv_x86_64_vec)   tb="$tb efi-rtdrv-x86_64.lo pex64igen.lo cofflink.lo" ;target_size=64;;  
     bfd_efi_app_ia64_vec)       tb="$tb efi-app-ia64.lo pepigen.lo cofflink.lo"; target_size=64 ;;  
     bfd_efi_bsdrv_ia64_vec)     tb="$tb efi-bsdrv-ia64.lo pepigen.lo cofflink.lo"; target_size=64 ;;  
     bfd_efi_rtdrv_ia64_vec)     tb="$tb efi-rtdrv-ia64.lo pepigen.lo cofflink.lo"; target_size=64 ;;  
21183      bfd_elf32_am33lin_vec)      tb="$tb elf32-am33lin.lo elf32.lo $elf" ;;      bfd_elf32_am33lin_vec)      tb="$tb elf32-am33lin.lo elf32.lo $elf" ;;
21184      bfd_elf32_avr_vec)          tb="$tb elf32-avr.lo elf32.lo $elf" ;;      bfd_elf32_avr_vec)          tb="$tb elf32-avr.lo elf32.lo $elf" ;;
21185      bfd_elf32_bfin_vec)         tb="$tb elf32-bfin.lo elf32.lo $elf" ;;      bfd_elf32_bfin_vec)         tb="$tb elf32-bfin.lo elf32.lo $elf" ;;
# Line 20735  do Line 21204  do
21204      bfd_elf32_fr30_vec)         tb="$tb elf32-fr30.lo elf32.lo $elf" ;;      bfd_elf32_fr30_vec)         tb="$tb elf32-fr30.lo elf32.lo $elf" ;;
21205      bfd_elf32_frv_vec)          tb="$tb elf32-frv.lo elf32.lo $elf" ;;      bfd_elf32_frv_vec)          tb="$tb elf32-frv.lo elf32.lo $elf" ;;
21206      bfd_elf32_frvfdpic_vec)     tb="$tb elf32-frv.lo elf32.lo $elf" ;;      bfd_elf32_frvfdpic_vec)     tb="$tb elf32-frv.lo elf32.lo $elf" ;;
21207        bfd_elf32_moxie_vec)        tb="$tb elf32-moxie.lo elf32.lo $elf" ;;
21208      bfd_elf32_h8300_vec)        tb="$tb elf32-h8300.lo elf32.lo $elf" ;;      bfd_elf32_h8300_vec)        tb="$tb elf32-h8300.lo elf32.lo $elf" ;;
21209      bfd_elf32_hppa_linux_vec)   tb="$tb elf32-hppa.lo elf32.lo $elf" ;;      bfd_elf32_hppa_linux_vec)   tb="$tb elf32-hppa.lo elf32.lo $elf" ;;
21210      bfd_elf32_hppa_nbsd_vec)    tb="$tb elf32-hppa.lo elf32.lo $elf" ;;      bfd_elf32_hppa_nbsd_vec)    tb="$tb elf32-hppa.lo elf32.lo $elf" ;;
# Line 20752  do Line 21222  do
21222      bfd_elf32_ia64_hpux_big_vec) tb="$tb elf32-ia64.lo elf32.lo $elf";;      bfd_elf32_ia64_hpux_big_vec) tb="$tb elf32-ia64.lo elf32.lo $elf";;
21223      bfd_elf32_ip2k_vec)         tb="$tb elf32-ip2k.lo elf32.lo $elf" ;;      bfd_elf32_ip2k_vec)         tb="$tb elf32-ip2k.lo elf32.lo $elf" ;;
21224      bfd_elf32_iq2000_vec)       tb="$tb elf32-iq2000.lo elf32.lo $elf" ;;      bfd_elf32_iq2000_vec)       tb="$tb elf32-iq2000.lo elf32.lo $elf" ;;
21225        bfd_elf32_lm32_vec)         tb="$tb elf32-lm32.lo elf32.lo $elf" ;;
21226        bfd_elf32_lm32fdpic_vec)         tb="$tb elf32-lm32.lo elf32.lo $elf" ;;
21227      bfd_elf32_little_generic_vec) tb="$tb elf32-gen.lo elf32.lo $elf" ;;      bfd_elf32_little_generic_vec) tb="$tb elf32-gen.lo elf32.lo $elf" ;;
21228      bfd_elf32_littlearc_vec)    tb="$tb elf32-arc.lo elf32.lo $elf" ;;      bfd_elf32_littlearc_vec)    tb="$tb elf32-arc.lo elf32.lo $elf" ;;
21229      bfd_elf32_littlearm_symbian_vec)      bfd_elf32_littlearm_symbian_vec)
# Line 20791  do Line 21263  do
21263      bfd_elf32_powerpcle_vec)    tb="$tb elf32-ppc.lo elf-vxworks.lo elf32.lo $elf" ;;      bfd_elf32_powerpcle_vec)    tb="$tb elf32-ppc.lo elf-vxworks.lo elf32.lo $elf" ;;
21264      bfd_elf32_powerpc_vxworks_vec) tb="$tb elf32-ppc.lo elf-vxworks.lo elf32.lo $elf" ;;      bfd_elf32_powerpc_vxworks_vec) tb="$tb elf32-ppc.lo elf-vxworks.lo elf32.lo $elf" ;;
21265      bfd_elf32_s390_vec)         tb="$tb elf32-s390.lo elf32.lo $elf" ;;      bfd_elf32_s390_vec)         tb="$tb elf32-s390.lo elf32.lo $elf" ;;
21266      bfd_elf32_bigscore_vec)     tb="$tb elf32-score.lo elf32.lo $elf" ;;      bfd_elf32_bigscore_vec)     tb="$tb elf32-score.lo elf32-score7.lo elf32.lo $elf"; want64=true; target_size=64;;
21267      bfd_elf32_littlescore_vec)  tb="$tb elf32-score.lo elf32.lo $elf" ;;      bfd_elf32_littlescore_vec)  tb="$tb elf32-score.lo elf32-score7.lo elf32.lo $elf"; want64=true; target_size=64;;
21268      # FIXME: We include cofflink.lo not because it's needed for      # FIXME: We include cofflink.lo not because it's needed for
21269      # bfd_elf32_sh64[l]_vec, but because we include bfd_elf32_sh[l]_vec      # bfd_elf32_sh64[l]_vec, but because we include bfd_elf32_sh[l]_vec
21270      # which needs it but does not list it.  Should be fixed in right place.      # which needs it but does not list it.  Should be fixed in right place.
# Line 20832  do Line 21304  do
21304      bfd_elf64_ia64_big_vec)     tb="$tb elf64-ia64.lo elf64.lo $elf"; target_size=64 ;;      bfd_elf64_ia64_big_vec)     tb="$tb elf64-ia64.lo elf64.lo $elf"; target_size=64 ;;
21305      bfd_elf64_ia64_hpux_big_vec) tb="$tb elf64-ia64.lo elf64.lo $elf"; target_size=64 ;;      bfd_elf64_ia64_hpux_big_vec) tb="$tb elf64-ia64.lo elf64.lo $elf"; target_size=64 ;;
21306      bfd_elf64_ia64_little_vec)  tb="$tb elf64-ia64.lo elf64.lo $elf"; target_size=64 ;;      bfd_elf64_ia64_little_vec)  tb="$tb elf64-ia64.lo elf64.lo $elf"; target_size=64 ;;
21307        bfd_elf64_ia64_vms_vec)     tb="$tb elf64-ia64.lo elf64.lo $elf vmsutil.lo"; target_size=64 ;;
21308      bfd_elf64_little_generic_vec) tb="$tb elf64-gen.lo elf64.lo $elf"; target_size=64 ;;      bfd_elf64_little_generic_vec) tb="$tb elf64-gen.lo elf64.lo $elf"; target_size=64 ;;
21309      bfd_elf64_littlemips_vec)   tb="$tb elf64-mips.lo elf64.lo elfxx-mips.lo elf-vxworks.lo elf32.lo $elf ecofflink.lo"; target_size=64 ;;      bfd_elf64_littlemips_vec)   tb="$tb elf64-mips.lo elf64.lo elfxx-mips.lo elf-vxworks.lo elf32.lo $elf ecofflink.lo"; target_size=64 ;;
21310      bfd_elf64_mmix_vec)         tb="$tb elf64-mmix.lo elf64.lo $elf" target_size=64 ;;      bfd_elf64_mmix_vec)         tb="$tb elf64-mmix.lo elf64.lo $elf" target_size=64 ;;
# Line 20850  do Line 21323  do
21323      bfd_elf64_tradlittlemips_vec) tb="$tb elf64-mips.lo elf64.lo elfxx-mips.lo elf-vxworks.lo elf32.lo $elf ecofflink.lo"; target_size=64 ;;      bfd_elf64_tradlittlemips_vec) tb="$tb elf64-mips.lo elf64.lo elfxx-mips.lo elf-vxworks.lo elf32.lo $elf ecofflink.lo"; target_size=64 ;;
21324      bfd_elf64_x86_64_freebsd_vec) tb="$tb elf64-x86-64.lo elf64.lo $elf"; target_size=64 ;;      bfd_elf64_x86_64_freebsd_vec) tb="$tb elf64-x86-64.lo elf64.lo $elf"; target_size=64 ;;
21325      bfd_elf64_x86_64_vec)       tb="$tb elf64-x86-64.lo elf64.lo $elf"; target_size=64 ;;      bfd_elf64_x86_64_vec)       tb="$tb elf64-x86-64.lo elf64.lo $elf"; target_size=64 ;;
21326        bfd_elf64_l1om_vec)         tb="$tb elf64-x86-64.lo elf64.lo $elf"; target_size=64 ;;
21327        bfd_elf64_l1om_freebsd_vec) tb="$tb elf64-x86-64.lo elf64.lo $elf"; target_size=64 ;;
21328      bfd_mmo_vec)                tb="$tb mmo.lo" target_size=64 ;;      bfd_mmo_vec)                tb="$tb mmo.lo" target_size=64 ;;
21329      bfd_powerpc_pe_vec)         tb="$tb pe-ppc.lo peigen.lo cofflink.lo" ;;      bfd_powerpc_pe_vec)         tb="$tb pe-ppc.lo peigen.lo cofflink.lo" ;;
21330      bfd_powerpc_pei_vec)        tb="$tb pei-ppc.lo peigen.lo cofflink.lo" ;;      bfd_powerpc_pei_vec)        tb="$tb pei-ppc.lo peigen.lo cofflink.lo" ;;
# Line 20903  do Line 21378  do
21378      mach_o_be_vec)              tb="$tb mach-o.lo" ;;      mach_o_be_vec)              tb="$tb mach-o.lo" ;;
21379      mach_o_le_vec)              tb="$tb mach-o.lo" ;;      mach_o_le_vec)              tb="$tb mach-o.lo" ;;
21380      mach_o_fat_vec)             tb="$tb mach-o.lo" ;;      mach_o_fat_vec)             tb="$tb mach-o.lo" ;;
21381        mach_o_i386_vec)            tb="$tb mach-o-i386.lo" ;;
21382      mcore_pe_big_vec)           tb="$tb pe-mcore.lo peigen.lo cofflink.lo" ;;      mcore_pe_big_vec)           tb="$tb pe-mcore.lo peigen.lo cofflink.lo" ;;
21383      mcore_pe_little_vec)        tb="$tb pe-mcore.lo peigen.lo cofflink.lo" ;;      mcore_pe_little_vec)        tb="$tb pe-mcore.lo peigen.lo cofflink.lo" ;;
21384      mcore_pei_big_vec)          tb="$tb pei-mcore.lo peigen.lo cofflink.lo" ;;      mcore_pei_big_vec)          tb="$tb pei-mcore.lo peigen.lo cofflink.lo" ;;
# Line 20920  do Line 21396  do
21396      pef_vec)                    tb="$tb pef.lo" ;;      pef_vec)                    tb="$tb pef.lo" ;;
21397      pef_xlib_vec)               tb="$tb pef.lo" ;;      pef_xlib_vec)               tb="$tb pef.lo" ;;
21398      pdp11_aout_vec)             tb="$tb pdp11.lo" ;;      pdp11_aout_vec)             tb="$tb pdp11.lo" ;;
21399        plugin_vec)                 tb="$tb plugin.lo" ;;
21400      pmac_xcoff_vec)             tb="$tb coff-rs6000.lo xcofflink.lo" ;;      pmac_xcoff_vec)             tb="$tb coff-rs6000.lo xcofflink.lo" ;;
21401      ppcboot_vec)                tb="$tb ppcboot.lo" ;;      ppcboot_vec)                tb="$tb ppcboot.lo" ;;
21402      riscix_vec)                 tb="$tb aout32.lo riscix.lo" ;;      riscix_vec)                 tb="$tb aout32.lo riscix.lo" ;;
# Line 21089  esac Line 21566  esac
21566    
21567    
21568    
21569    if test "$plugins" = "yes"; then
21570      supports_plugins=1
21571    else
21572      supports_plugins=0
21573    fi
21574    
21575    
21576  # Determine the host dependant file_ptr a.k.a. off_t type.  In order  # Determine the host dependant file_ptr a.k.a. off_t type.  In order
21577  # prefer: off64_t - if ftello64 and fseeko64, off_t - if ftello and  # prefer: off64_t - if ftello64 and fseeko64, off_t - if ftello and
21578  # fseeko, long.  This assumes that sizeof off_t is .ge. sizeof long.  # fseeko, long.  This assumes that sizeof off_t is .ge. sizeof long.
# Line 22195  rm -f doc/config.status Line 22679  rm -f doc/config.status
22679    
22680    
22681    
22682    
22683  cat >confcache <<\_ACEOF  cat >confcache <<\_ACEOF
22684  # This file is a shell script that caches the results of configure  # This file is a shell script that caches the results of configure
22685  # tests run on this system so they can be shared between configure  # tests run on this system so they can be shared between configure
# Line 22300  echo "$as_me: error: conditional \"am__f Line 22785  echo "$as_me: error: conditional \"am__f
22785  Usually this means the macro was only invoked conditionally." >&2;}  Usually this means the macro was only invoked conditionally." >&2;}
22786     { (exit 1); exit 1; }; }     { (exit 1); exit 1; }; }
22787  fi  fi
22788    if test -z "${PLUGINS_TRUE}" && test -z "${PLUGINS_FALSE}"; then
22789      { { echo "$as_me:$LINENO: error: conditional \"PLUGINS\" was never defined.
22790    Usually this means the macro was only invoked conditionally." >&5
22791    echo "$as_me: error: conditional \"PLUGINS\" was never defined.
22792    Usually this means the macro was only invoked conditionally." >&2;}
22793       { (exit 1); exit 1; }; }
22794    fi
22795  if test -z "${MAINTAINER_MODE_TRUE}" && test -z "${MAINTAINER_MODE_FALSE}"; then  if test -z "${MAINTAINER_MODE_TRUE}" && test -z "${MAINTAINER_MODE_FALSE}"; then
22796    { { echo "$as_me:$LINENO: error: conditional \"MAINTAINER_MODE\" was never defined.    { { echo "$as_me:$LINENO: error: conditional \"MAINTAINER_MODE\" was never defined.
22797  Usually this means the macro was only invoked conditionally." >&5  Usually this means the macro was only invoked conditionally." >&5
# Line 23219  s,@OTOOL@,$OTOOL,;t t Line 23711  s,@OTOOL@,$OTOOL,;t t
23711  s,@ac_ct_OTOOL@,$ac_ct_OTOOL,;t t  s,@ac_ct_OTOOL@,$ac_ct_OTOOL,;t t
23712  s,@OTOOL64@,$OTOOL64,;t t  s,@OTOOL64@,$OTOOL64,;t t
23713  s,@ac_ct_OTOOL64@,$ac_ct_OTOOL64,;t t  s,@ac_ct_OTOOL64@,$ac_ct_OTOOL64,;t t
23714    s,@PLUGINS_TRUE@,$PLUGINS_TRUE,;t t
23715    s,@PLUGINS_FALSE@,$PLUGINS_FALSE,;t t
23716  s,@DEBUGDIR@,$DEBUGDIR,;t t  s,@DEBUGDIR@,$DEBUGDIR,;t t
23717  s,@PKGVERSION@,$PKGVERSION,;t t  s,@PKGVERSION@,$PKGVERSION,;t t
23718  s,@REPORT_BUGS_TO@,$REPORT_BUGS_TO,;t t  s,@REPORT_BUGS_TO@,$REPORT_BUGS_TO,;t t
# Line 23262  s,@CC_FOR_BUILD@,$CC_FOR_BUILD,;t t Line 23756  s,@CC_FOR_BUILD@,$CC_FOR_BUILD,;t t
23756  s,@EXEEXT_FOR_BUILD@,$EXEEXT_FOR_BUILD,;t t  s,@EXEEXT_FOR_BUILD@,$EXEEXT_FOR_BUILD,;t t
23757  s,@COREFILE@,$COREFILE,;t t  s,@COREFILE@,$COREFILE,;t t
23758  s,@COREFLAG@,$COREFLAG,;t t  s,@COREFLAG@,$COREFLAG,;t t
23759  s,@WIN32LDFLAGS@,$WIN32LDFLAGS,;t t  s,@LIBM@,$LIBM,;t t
23760  s,@WIN32LIBADD@,$WIN32LIBADD,;t t  s,@SHARED_LDFLAGS@,$SHARED_LDFLAGS,;t t
23761    s,@SHARED_LIBADD@,$SHARED_LIBADD,;t t
23762  s,@TDEFINES@,$TDEFINES,;t t  s,@TDEFINES@,$TDEFINES,;t t
23763  s,@wordsize@,$wordsize,;t t  s,@wordsize@,$wordsize,;t t
23764  s,@bfd64_libs@,$bfd64_libs,;t t  s,@bfd64_libs@,$bfd64_libs,;t t
# Line 23271  s,@all_backends@,$all_backends,;t t Line 23766  s,@all_backends@,$all_backends,;t t
23766  s,@bfd_backends@,$bfd_backends,;t t  s,@bfd_backends@,$bfd_backends,;t t
23767  s,@bfd_machines@,$bfd_machines,;t t  s,@bfd_machines@,$bfd_machines,;t t
23768  s,@bfd_default_target_size@,$bfd_default_target_size,;t t  s,@bfd_default_target_size@,$bfd_default_target_size,;t t
23769    s,@supports_plugins@,$supports_plugins,;t t
23770  s,@bfd_file_ptr@,$bfd_file_ptr,;t t  s,@bfd_file_ptr@,$bfd_file_ptr,;t t
23771  s,@bfd_ufile_ptr@,$bfd_ufile_ptr,;t t  s,@bfd_ufile_ptr@,$bfd_ufile_ptr,;t t
23772  s,@tdefaults@,$tdefaults,;t t  s,@tdefaults@,$tdefaults,;t t
23773  s,@datarootdir@,$datarootdir,;t t  s,@datarootdir@,$datarootdir,;t t
23774  s,@docdir@,$docdir,;t t  s,@docdir@,$docdir,;t t
23775  s,@htmldir@,$htmldir,;t t  s,@htmldir@,$htmldir,;t t
23776    s,@pdfdir@,$pdfdir,;t t
23777  s,@LIBOBJS@,$LIBOBJS,;t t  s,@LIBOBJS@,$LIBOBJS,;t t
23778  s,@LTLIBOBJS@,$LTLIBOBJS,;t t  s,@LTLIBOBJS@,$LTLIBOBJS,;t t
23779  CEOF  CEOF

Legend:
Removed from v.20  
changed lines
  Added in v.21

Back to OSDN">Back to OSDN
ViewVC Help
Powered by ViewVC 1.1.26